### Enumeration

# Qmi DeviceAddLinkFlags

since: 1.30

#### Declaration

    flags Qmi.DeviceAddLinkFlags

#### Description [src]

Flags specifying the behavior of the new link.

Available since: 1.30

#### Members

`QMI_DEVICE_ADD_LINK_FLAGS_NONE`

  None.

  - Value: `0`
  - Available since: 1.30
`QMI_DEVICE_ADD_LINK_FLAGS_INGRESS_MAP_CKSUMV4`

  Checksum offload (v4) is enabled in ingress path.

  - Value: `2`
  - Available since: 1.30
`QMI_DEVICE_ADD_LINK_FLAGS_EGRESS_MAP_CKSUMV4`

  Checksum offload (v4) is enabled in egress path.

  - Value: `4`
  - Available since: 1.30
`QMI_DEVICE_ADD_LINK_FLAGS_INGRESS_MAP_CKSUMV5`

  Checksum offload (v5) is enabled in ingress path. Since 1.32.

  - Value: `8`
  - Available since: 1.30
`QMI_DEVICE_ADD_LINK_FLAGS_EGRESS_MAP_CKSUMV5`

  Checksum offload (v5) is enabled in egress path. Since 1.32.

  - Value: `16`
  - Available since: 1.30

#### Type functions

###### qmi_device_add_link_flags_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiDeviceAddLinkFlags` in `mask`.

since: 1.30